/*
 * glue.c:
 *
 * Copyright (c) 2001 James McKenzie <james@fishsoup.dhs.org>,
 * All rights reserved.
 *
 */

static char rcsid[] = "$Id: glue.c,v 1.1 2001/12/20 21:41:40 root Exp root $";

/*
 * $Log: glue.c,v $
 * Revision 1.1  2001/12/20 21:41:40  root
 * Initial revision
 *
 */

#include <stdio.h>
#include <malloc.h>

#define X 513
#define Y 1024
#define N (X*Y*3)

void
fgetsnc (char *buf, int i, FILE * f)
{
  buf[0] = '#';

  while (buf[0] == '#')
    fgets (buf, i, f);
}

int
main (int argc, char *argv[])
{
  FILE **files;
  int n;
  int i;
  int q;
  char buf[1024];

  n = argc - 1;
  files = (FILE **) malloc (sizeof (FILE) * n);

  for (i = 0; i < n; ++i)
    {
      files[i] = fopen (argv[i + 1], "r");
      fgetsnc (buf, sizeof (buf), files[i]);
      fgetsnc (buf, sizeof (buf), files[i]);
      fgetsnc (buf, sizeof (buf), files[i]);
    }

  q = N;

  printf ("P6\n%d %d\n255\n", X, Y);

  while (q--)
    {
      int c = 1, d;


      for (i = 0; i < n; ++i)
        {
          d = getc (files[i]);
          c = d ? (c ? ((d > c) ? d : c) : 0) : 0;
        }

      putc (c, stdout);

    }

  for (i = 0; i < n; ++i)
    fclose (files[i]);

  return 0;
}
